/* GIFT AID */ 
form .d-none{
	display: none;
}
/*
.woocommerce-page .form-row input:not(.input-checkbox) {
    width: 100%;
    margin-left: 0.25rem;
}

.woocommerce form .form-row {
    display: block;
    margin: 0 0 1rem;
    width: 100% !important;
}
*/
/* removed the above sections as those styles were not covering all situations */
/* or were incomplete, and they are now done in the main theme style.css */

.woocommerce form .form-row label.checkbox {
	line-height: 1;
}

.woocommerce-page .form-row.form-row-last {
	float: left;
}

.woocommerce-checkout label.screen-reader-text {
	position: relative !important; 
	top: 0;
	left: 0;
	width: 100%;
	height: auto;
}
.woocommerce-checkout .screen-reader-text span.optional{
	display: none;
}

section#woocommerce-gift-aid {
    padding: 2rem 0;
}


.donation p {
    font-size: 1rem;
}

.donation h2, .donation h3 {
    color: #000 !important;
}

p#in-person_field .woocommerce-input-wrapper {
    display: flex;
}

p#in-person_field input#in-person_yes {
    margin-left: 0;
}

.nyp-wrapper-flex {
    display: flex; 
    flex-wrap: wrap;
    column-gap: 1.25rem; /* was 20px */
    justify-content: center;
}

/*
.nyp-wrapper-flex .w-100 button:hover {
    background-color: #f6a24c !important;
    color: #fff !important;
}
*/ /* must conform to main styles, which already are overriding default woo styles */

/* 
.page-template-page-digital-pass .nyp-wrapper-flex {
    justify-content: flex-start;
}
.page-template-page-digital-pass .supportsection .nyp-wrapper-flex {
    justify-content: center;
}
*/ /* to avoid more overrides when supportsection styles change across the site */
.page-template-page-digital-pass .buydigital .nyp-wrapper-flex {
    justify-content: flex-start;
}

/*
.page-template-page-digital-pass .nyp-wrapper-flex input[type=text]{
    background-color: transparent !important;
}
*/ /* must conform to main styles, which already are overriding default woo styles */

.my-account-link {
    margin-top: 1.5rem;
}

.w-100 {
    width: 100%;
}

.acf-comment-fields.acf-fields.-clear {
    display: none;
}

/*
.nyp-wrapper-flex  input[type=text], .nyp-wrapper-flex button {
    background-color: #fff !important;
    color: #000 !important;
    border: 2px solid #000 !important;
}
*/ /* must conform to main styles, which already are overriding default woo styles */

ul.amounts.new {
    display: inline;
    list-style-type: none;
    background: none !important;
}
/*
ul.amounts.new li {
    display: inline-block;
    padding: .1em .5em;
    background: #fff;
    color: #000;
    border: 2px solid #000;
    cursor: pointer;
     transition: .5s all ease-in-out 0s;
}
ul.amounts.new li.highlight {
     background: #f6a24c;
}
ul.amounts.new li:hover {
    background: #f6a24c;
    color: #fff;
}
*/ /* must conform to main styles, have moved the above styles into the main stylesheet */

.page-id-849 .nyp-wrapper-flex {
/* bsaket page */
    justify-content: flex-start;
}

/* WOOCOMMERCE SINGLE */ 

/*
.single-product #secondary {
    display: none; 
}

.single-product #primary {
    max-width: 1170px;
    padding: 0 30px;
    margin: 0 auto;
    width: 100%;
}
.single-product #comments {
    display: none;
}
*/

/* removed, and added the .inner div in single-product.php and */
/* removed the included sidebar and removed a class on #primary */
/* removed the comments option in single-product.php */
/* so that the width styles are confirm the rest of the site */

/* but you can also remove the comments section by setting Products */
/* to not have comments enabled, in the CPT settings (not sure WC gives you access to that?) */
/* they're gone either way now though */



.related.products {
  display: none;
}

.woocommerce div.product p.price, .woocommerce div.product span.price {
    /* color: #EFACB0; */
    color: #000; /* Raffaele wants pink text to be black */
}

.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {
    float: none;
    width: 100%;
    clear: none;
}

@media(min-width:767px){
    .woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {
        float: none;
        width: 50%;
        clear: none;
    }
}

.single-product .sharingiscaring {
    display: block; 
    margin-bottom: 3em; 
}

.single-product .entry-content{
    padding-bottom: 2em;
}

.product-text hr {
    margin: 1em 0;
}

/* SELECT 2*/ 
.select2-selection {
    height: 37px !important;
}
.select2-selection__rendered {
    line-height: 35px !important;
}

.select2-results__options li {
/*
    background-color: #EFACB0;
    color: #fff;
*/
    background-color: #fff; /* Raffaele wants these to be black on white, for increased legibility */
    color:#000;
}

.select2-results__options li {
    margin-bottom: 0;
}

.select2-container--default .select2-selection--single {
    background-color: #fff !important;
    border: 2px solid #000 !important;
    border-radius: 0 !important;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #000 !important;
    color: white !important;
}

.select2-container--default .select2-results__option--selected {
    background-color: #000 !important;
}

a.reset_variations {
    margin-left: 2em;
}

.woocommerce-variation-price {
    font-size: .8em;
    margin-bottom: .5em;
}

p.return-to-shop {
    display: none; 
}

.woocommerce-info, .woocommerce-message {
    border-top-color: rgb(0, 150, 150);
}
.woocommerce-info::before {
    color:  rgb(0, 150, 150);
}
.woocommerce-message::before {
    color: rgb(0, 150, 150);
}
/* Woo Dashboard 2*/ 
nav.woocommerce-MyAccount-navigation ul li {
    list-style-type: none;
    background: none;
}
.woocommerce-MyAccount-content a.woocommerce-Button.button {
    display: none;
}

/* Bookings sign up form*/ 
#mailing_list_video_container label {
    font-size: .7em; 
}

.page-id-996 bdi {
    display: none;
}
p.product.woocommerce.add_to_cart_inline {
    border: none !important; 
    padding: 12px 0 !important;
}

.woocommerce-error {
    border-top-color: rgb(0, 150, 150);
}

.woocommerce-error::before {
    content: "\e016";
    color: rgb(0, 150, 150);
}
/* Basket page */ 
.page-id-848.woocommerce-page #content table.cart td.actions .input-text, .woocommerce-page table.cart td.actions .input-text {
max-width: 140px;
width: 100%;
}

/* Checkout page */ 
.page-id-849 .postindex .indexitem {
padding: 0 15px 20px 15px;
}

.page-id-849 .woocommerce form .form-row, .page-id-849 .woocommerce form .mc-field-group input{
    display:block;
    width:100%;
    box-sizing:border-box;
    margin-bottom:5px;
    text-align: left;
}

.page-id-849 input#nyp-1 {
     width:100%;
}

.page-id-849 .donation {
    background: #0DADA2;
    /* color: #fff; */
    padding: 15px;
    margin-bottom: 1rem;

}

@media(min-width:767px){
    .page-id-849 .donation {
        padding: 40px;
    }
}

.page-id-849 .donation a.added_to_cart.wc-forward {
    color: #000;
    margin-left: 1rem;
    font-weight: bold;
}

.page-id-849 .donation h2 {
    color: #000;
}

.page-id-849 .donation p {
    color: #000;
}
.page-id-849 .donation label {
     color: #000;
}
.page-id-849 .donation label.checkbox  {
     font-size: 1rem;
}


.page-id-849 .donation .button.single_add_to_cart_button.button.alt:hover {
    background-color: #f6a24c !important;
     border-color: #fff;
}

.page-id-849 .donation button.single_add_to_cart_button.button.alt {
    margin-top: 1rem;
}

.page-id-849 #payment .donation {
    display: none;
}

.page-id-849 .postindex span.optional {
    display: none;
}
/*
.pagborder-color: #ff8c46 {
    border-color: #ff8c46;
}
*//* removed since it's invalid CSS, not sure what was intended */

/* Digital Pass page */ 
/* Digital Pass *product* page */
/* The new Digital Pass page has page id 8617 */

.postid-8699 .summary.entry-summary {
    width: 100% !important;
}
.postid-8699 .postindex {
    margin-top: 2rem;
}

.single-du_event #mc_embed_signup {
    max-width: 100%;
    margin: 0 auto 30px auto;
}

.custom-checkout-wrapper {
    background: #d3ced2;
    padding-inline: 1rem;
}

@media(min-width:767px){
    .custom-checkout-wrapper {
        background: #d3ced2;
        padding-inline: 40px;
    }
}

p#billing_address_1_field {
    margin-top: 2rem;
}

p#billing_postcode_field {
    margin-bottom: 2rem;
}

body .woocommerce-order .supportsection .single_add_to_cart_button {
    background-color: #fff !important
}
body .woocommerce-order .supportsection {
    text-align: center;
}